From d1a794343c343399e53c42bf0daa4265e4ef84ff Mon Sep 17 00:00:00 2001
From: Jiri J <jirij.jabb@gmail.com>
Date: Sun, 11 Oct 2009 19:37:32 +0200
Subject: [PATCH] posix: replaced index() with strchr()

Signed-off-by: Jiri J <jirij.jabb@gmail.com>
---
 support/nfs/nfs_mntent.c |    4 ++--
 utils/mount/error.c      |    2 +-
 utils/mountd/fsloc.c     |    2 +-
 3 files changed, 4 insertions(+), 4 deletions(-)

diff --git a/support/nfs/nfs_mntent.c b/support/nfs/nfs_mntent.c
index a3fecfc..7220f53 100644
--- a/support/nfs/nfs_mntent.c
+++ b/support/nfs/nfs_mntent.c
@@ -163,7 +163,7 @@ nfs_getmntent (mntFILE *mfp) {
 			return NULL;
 
 		mfp->mntent_lineno++;
-		s = index (buf, '\n');
+		s = strchr (buf, '\n');
 		if (s == NULL) {
 			/* Missing final newline?  Otherwise extremely */
 			/* long line - assume file was corrupted */
@@ -171,7 +171,7 @@ nfs_getmntent (mntFILE *mfp) {
 				fprintf(stderr, _("[mntent]: warning: no final "
 					"newline at the end of %s\n"),
 					mfp->mntent_file);
-				s = index (buf, 0);
+				s = strchr (buf, 0);
 			} else {
 				mfp->mntent_errs = 1;
 				goto err;
diff --git a/utils/mount/error.c b/utils/mount/error.c
index 1b64bd7..d9e2b8d 100644
--- a/utils/mount/error.c
+++ b/utils/mount/error.c
@@ -62,7 +62,7 @@ static int rpc_strerror(int spos)
 	char *tmp;
 
 	if (estr) {
-		if ((ptr = index(estr, ':')))
+		if ((ptr = strchr(estr, ':')))
 			estr = ++ptr;
 
 		tmp = &errbuf[spos];
diff --git a/utils/mountd/fsloc.c b/utils/mountd/fsloc.c
index 5b094b0..d975a4f 100644
--- a/utils/mountd/fsloc.c
+++ b/utils/mountd/fsloc.c
@@ -126,7 +126,7 @@ static struct servers *method_list(char *data)
 	struct servers *rv=NULL;
 
 	xlog(L_NOTICE, "method_list(%s)\n", data);
-	for (ptr--, listsize=1; ptr; ptr=index(ptr, ':'), listsize++)
+	for (ptr--, listsize=1; ptr; ptr=strchr(ptr, ':'), listsize++)
 		ptr++;
 	list = malloc(listsize * sizeof(char *));
 	copy = strdup(data);
-- 
1.6.3.3

